net.minecraft.client.model

## Class ModelBase

- java.lang.Object
- - net.minecraft.client.model.ModelBase

- Direct Known Subclasses:
    ModelBat, ModelBiped, ModelBlaze, ModelBoat, ModelBook, ModelChest, ModelChicken, ModelCreeper, ModelDragon, ModelEnderCrystal, ModelGhast, ModelHorse, ModelIronGolem, ModelLeashKnot, ModelMagmaCube, ModelMinecart, ModelOcelot, ModelQuadruped, ModelSign, ModelSilverfish, ModelSkeletonHead, ModelSlime, ModelSnowMan, ModelSpider, ModelSquid, ModelVillager, ModelWither, ModelWolf, TechneModel

      public abstract class ModelBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List` | `boxList`
    `boolean` | `isChild`
    `boolean` | `isRiding`
    `float` | `onGround`
    `int` | `textureHeight`
    `int` | `textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelRenderer` | `getRandomModelBox(java.util.Random par1Random)`
    `TextureOffset` | `getTextureOffset(java.lang.String par1Str)`
    `void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)`
    `void` | `setLivingAnimations(EntityLivingBase par1EntityLivingBase, float par2, float par3, float par4)`
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)`
    `protected void` | `setTextureOffset(java.lang.String par1Str, int par2, int par3)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### onGround

          public float onGround

    - #### isRiding

          public boolean isRiding

    - #### boxList

          public java.util.List boxList

    - #### isChild

          public boolean isChild

    - #### textureWidth

          public int textureWidth

    - #### textureHeight

          public int textureHeight

  - ### Constructor Detail

    - #### ModelBase

          public ModelBase()

  - ### Method Detail

    - #### render

          public void render(Entity par1Entity,
                    float par2,
                    float par3,
                    float par4,
                    float par5,
                    float par6,
                    float par7)

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

    - #### setLivingAnimations

          public void setLivingAnimations(EntityLivingBase par1EntityLivingBase,
                                 float par2,
                                 float par3,
                                 float par4)

    - #### getRandomModelBox

          public ModelRenderer getRandomModelBox(java.util.Random par1Random)

    - #### setTextureOffset

          protected void setTextureOffset(java.lang.String par1Str,
                              int par2,
                              int par3)

    - #### getTextureOffset

          public TextureOffset getTextureOffset(java.lang.String par1Str)